[Dev-luatex] Notes and comments on beta 0.11.2

Jonathan Sauer Jonathan.Sauer at silverstroke.com
Thu Sep 20 08:54:19 CEST 2007


I tried out beta 0.11.2 yesterday, and it works great. Still, I noticed
a few things that do not seem right.

First thing: I tried to use 'require', and the error message I got was
slightly weird:

! LuaTeX error [string "luas[0]"]:1: module
eX/tex/KTeX/lua/l-callback.klua' not found:
        no field package.p.
\LU:require ...ed {require(kpse.find_file('#2'))}}

I look into Lua 5.1.2 and found this in loadlib.c:

lua_pushfstring(L, "\n\tno field package.preload['%s']", name);

A variation (shorter pathname, thus longer message):

! LuaTeX error [string "luas[0]"]:1: module 'l-callback.klua' not found:
        no field package.preload['l-callback.klua']
        no file './l-callback/k.

More information about the dev-luatex mailing list